package kz.arta.synergy.workflow.mobile.android.documents.resolution.models;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * Created by neox on 23.12.15.
 * Типы процессов для пункта резолюции
 */
public class ResolutionWorkType implements Serializable {

    /**
     * UUID записи справочника
     */
    private
    @SerializedName("dict_id")
    String dictID;

    /**
     * Порядковый номер пункта в выпадающем списке
     */
    private
    @SerializedName("item_number")
    int itemNumber;

    /**
     * Действие, которое осуществляет пункт
     */
    private
    @SerializedName("item_process")
    String itemProcess;

    /**
     * Название пункта типа работы
     */
    private
    @SerializedName("item_name")
    String itemName;

    public String getDictID() {
        return dictID;
    }

    public void setDictID(String dictID) {
        this.dictID = dictID;
    }

    public int getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(int itemNumber) {
        this.itemNumber = itemNumber;
    }

    public String getItemProcess() {
        return itemProcess;
    }

    public void setItemProcess(String itemProcess) {
        this.itemProcess = itemProcess;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
}
